Skip to main content
GET
Search products

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

keyword
string

Search keyword for product name

Maximum string length: 200
isActive
boolean

Filter by active status

isDeleted
boolean

Filter by deleted status

sortBy
enum<string>

Field to sort by

Available options:
createdAt,
updatedAt,
productName
sortOrder
enum<string>

Sort order

Available options:
asc,
desc
options[limit]
integer
default:20

Maximum number of items to return (1-100)

Required range: 1 <= x <= 100
options[token]
string

Pagination token for fetching next page

Maximum string length: 1000

Response

Successful response with list of products

status
string
Example:

"success"

data
object[]
paging
object